Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Debian Kernel (http://www.linux-archive.org/debian-kernel/)
-   -   Bug#590189: closed by Ben Hutchings ( Bug#590189: linux-headers-2.6.32-5-common: Makefile error when building kernel modules) (http://www.linux-archive.org/debian-kernel/403767-bug-590189-closed-ben-hutchings-bug-590189-linux-headers-2-6-32-5-common-makefile-error-when-building-kernel-modules.html)

oc-spam65 07-24-2010 11:37 PM

Bug#590189: closed by Ben Hutchings ( Bug#590189: linux-headers-2.6.32-5-common: Makefile error when building kernel modules)
 
Hello,

> Anyway, this is a bug in the out-of-tree module source. It should use
> the 'build' link not the 'source' link.

Do you mean there is the same error in the source codes of the two modules ?

> > More precise description:
> >
> > 1) I want to build the wireless driver module rtl8192se_linux_2.6.0017.0507.2010.
>
> This driver (though not exactly the same version) is already included in
> kernel image packages.

I currently use the package linux-image-2.6.32-5-amd64 version 2.6.32-18 from unstable. There is a module called r8192_pci but it doesn't seem work with my RTL8191SE PCI card (I did install the package firmware-realtek version 0.26).

On the other end, I compiled the module r8192se_pci.ko from source and it works immediately after "insmod".

My conclusion is that the driver in the current kernel doesn't work with my PCI card whereas the compiled driver (r8192se_pci.ko) works. My complain is that I was not able to run "make install" to finish the installation properly.

> > I run "m-a prepare" and I compile successfully with "make".
> > The problem happens when I do "make install" (see below the detailed output).
> >
> > 2) I want to build the webcam driver module v4l-dvb.
> [...]
>
> This is a whole class of modules, not a specific module. Which driver
> do you actually need? Most of them are already included.

I need the driver uvcvideo for my internal USB webcam (ID 5986:0241). With the current version of the kernel modules, I get the following error in the logs: "uvcvideo: No streaming interface found for terminal 3.". This error is known and has been solved in a new version of uvcvideo. See: http://lists.berlios.de/pipermail/linux-uvc-devel/2009-October/005226.html

My complain is that I am not able to compile the new version because I can not run "make menuconfig".

I am not sure I understood your answer correctly. Do you mean that the programmers of the two modules made an error ? Which error ?

Thank you for your answer and best regards,

O.C.


Une messagerie gratuite, garantie à vie et des services en plus, ça vous tente ?
Je crée ma boîte mail www.laposte.net




--
To UNSUBSCRIBE, email to debian-kernel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 31506985.303653.1280014649006.JavaMail.www@wwinf82 14">http://lists.debian.org/31506985.303653.1280014649006.JavaMail.www@wwinf82 14


All times are GMT. The time now is 12:03 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.